
From: Nathan Lynch <nathanl@austin.ibm.com>

The hotcpu_notifier macro does not properly record the given priority in
the notifier block.  This causes trouble only for callers which specify a
non-zero priority, of which there are none (yet).

Signed-off-by: Nathan Lynch <nathanl@austin.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/cpu.h |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN include/linux/cpu.h~use-c99-struct-initializer-in-hotcpu_notifier include/linux/cpu.h
--- 25/include/linux/cpu.h~use-c99-struct-initializer-in-hotcpu_notifier	Wed Jun  2 15:14:26 2004
+++ 25-akpm/include/linux/cpu.h	Wed Jun  2 15:14:26 2004
@@ -60,7 +60,8 @@ extern struct semaphore cpucontrol;
 #define unlock_cpu_hotplug()	up(&cpucontrol)
 #define lock_cpu_hotplug_interruptible() down_interruptible(&cpucontrol)
 #define hotcpu_notifier(fn, pri) {				\
-	static struct notifier_block fn##_nb = { fn, pri };	\
+	static struct notifier_block fn##_nb =			\
+		{ .notifier_call = fn, .priority = pri };	\
 	register_cpu_notifier(&fn##_nb);			\
 }
 int cpu_down(unsigned int cpu);
_
